|  | Home · All Classes · Modules

# QString.SectionFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, SectionFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- SectionFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, SectionFlags f)
- SectionFlags __iand__ (self, int mask)
- int __int__ (self)
- SectionFlags __invert__ (self)
- SectionFlags __ior__ (self, SectionFlags f)
- SectionFlags __ixor__ (self, SectionFlags f)
- bool __ne__ (self, SectionFlags f)
- SectionFlags __or__ (self, SectionFlags f)
- SectionFlags __xor__ (self, SectionFlags f)

## Detailed Description

SectionFlag may be used whenever SectionFlags is expected.

## Method Documentation

### SectionFlags.__init__ (self, SectionFlags)

### SectionFlags.__init__ (self, int)

### SectionFlags.__init__ (self)

### SectionFlags SectionFlags.__and__ (self, int mask)

### int SectionFlags.__bool__ (self)

### bool SectionFlags.__eq__ (self, SectionFlags f)

### SectionFlags SectionFlags.__iand__ (self, int mask)

### int SectionFlags.__int__ (self)

### SectionFlags SectionFlags.__invert__ (self)

### SectionFlags SectionFlags.__ior__ (self, SectionFlags f)

### SectionFlags SectionFlags.__ixor__ (self, SectionFlags f)

### bool SectionFlags.__ne__ (self, SectionFlags f)

### SectionFlags SectionFlags.__or__ (self, SectionFlags f)

### SectionFlags SectionFlags.__xor__ (self, SectionFlags f)